Package: groovy.org.codenarc.test

## [Groovy] Class AbstractTestCase

- groovy.org.codenarc.test.AbstractTestCase

- Abstract superclass for tests

  Authors:
    Chris Mair
    Hamlet D'Arcy

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static def` | `CODENARC_PROPERTIES_FILE_PROP` |
    `protected def` | `LOG` |
    `org.junit.rules.TestName` | `testName` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected String` | `getName()`
    `` | `protected void` | `log(def message)` Write out the specified log message, prefixing with the current class name.
    `` | `void` | `setUpAbstractTestCase()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### protected static final def CODENARC_PROPERTIES_FILE_PROP

    - #### @SuppressWarnings('FieldName') protected final def LOG

    - #### @SuppressWarnings('PublicInstanceField') @org.junit.Rule public org.junit.rules.TestName testName

  - ### Method Detail

    - #### protected String getName()

    - #### protected void log(def message)

      Write out the specified log message, prefixing with the current class name.

      Parameters:
        `message` - - the message to log; toString() is applied first

    - #### @org.junit.Before void setUpAbstractTestCase()